Search.setIndex({"docnames": ["case-pendulum", "case-svdcut", "gvar", "gvar_dataset", "gvar_other", "index", "overview"], "filenames": ["case-pendulum.rst", "case-svdcut.rst", "gvar.rst", "gvar_dataset.rst", "gvar_other.rst", "index.rst", "overview.rst"], "titles": ["Case Study:  Numerical Analysis \u2014 Pendulum Clock", "Case Study: Correlations and SVD Cuts", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar</span></code> - Gaussian Random Variables", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar.dataset</span></code> - Random Data Sets", "Numerical Analysis Modules in <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar</span></code>", "gvar Documentation", "Overview and Tutorial"], "terms": {"gvar": [0, 1], "thi": [0, 1, 2, 3, 4, 6], "illustr": [0, 1, 2, 4, 6], "how": [0, 1, 2, 3, 4, 6], "mix": [0, 2, 6], "s": [0, 1, 2, 3, 4, 5, 6], "routin": [0, 2, 4, 6], "integr": [0, 2, 5, 6], "differenti": [0, 5, 6], "equat": [0, 5], "od": [0, 4], "root": [0, 5, 6], "function": [0, 1, 5], "It": [0, 1, 2, 3, 4, 6], "also": [0, 2, 3, 4, 6], "give": [0, 1, 2, 3, 4], "simpl": [0, 1, 2, 4, 6], "exampl": [0, 1, 2, 3, 4, 6], "us": [0, 1, 2, 3, 5], "precis": [0, 2, 4, 6], "particular": [0, 2, 3, 4, 6], "limit": [0, 1, 2, 4, 5], "two": [0, 2, 3, 4, 6], "domin": 0, "factor": [0, 2, 4], "1": [0, 1, 2, 3, 4, 6], "length": [0, 2, 4], "0": [0, 1, 2, 3, 4, 6], "25m": 0, "can": [0, 1, 2, 3, 4, 6], "adjust": [0, 2, 4, 6], "best": [0, 3, 6], "5mm": 0, "2": [0, 1, 2, 3, 4, 6], "irregular": 0, "drive": 0, "mechan": 0, "mean": [0, 1, 2, 3, 4, 6], "maximum": [0, 2, 3, 4, 6], "angl": 0, "swing": 0, "\u03c0": 0, "6": [0, 1, 2, 3, 4, 6], "uncertain": [0, 6], "025": 0, "radian": 0, "challeng": [0, 4], "determin": [0, 1, 2, 3, 4, 6], "uncertainti": [0, 1, 2, 3, 4, 6], "affect": [0, 2], "time": [0, 1, 2, 3, 4, 6], "keep": [0, 1, 2, 4, 6], "over": [0, 1, 2, 3, 4, 6], "dai": 0, "theta": 0, "t": [0, 2, 3, 4], "satisfi": [0, 4, 6], "d": [0, 2, 3, 4], "dt": 0, "g": [0, 2, 3, 4, 6], "l": [0, 4], "sin": [0, 2, 4, 6], "where": [0, 1, 2, 3, 4, 6], "acceler": 0, "due": [0, 2, 6], "graviti": 0, "we": [0, 1, 2, 3, 4, 6], "start": [0, 4, 6], "design": [0, 2, 6], "code": [0, 1, 2, 3, 4, 6], "import": [0, 1, 2, 3, 4, 6], "numpi": [0, 1, 2, 3, 4, 6], "np": [0, 1, 2, 4, 6], "gv": [0, 1, 2, 3, 4, 6], "def": [0, 1, 2, 4, 6], "make_pendulum": 0, "theta0": 0, "creat": [0, 1, 2, 3, 4, 5], "solut": [0, 4, 5], "y": [0, 1, 2, 3, 4, 6], "initi": [0, 2, 4, 6], "condit": [0, 2, 3, 4], "ar": [0, 1, 2, 3, 4, 6], "paramet": [0, 1, 2, 3, 4, 6], "g_l": 0, "9": [0, 1, 2, 3, 4, 6], "8": [0, 1, 2, 3, 4, 6], "deriv": [0, 2, 4, 6], "calcul": [0, 1, 2, 3, 4, 6], "dtheta_dt": 0, "return": [0, 1, 2, 3, 4, 6], "arrai": [0, 1, 2, 3, 4, 6], "y0": [0, 1, 4], "given": [0, 1, 2, 3, 4, 6], "from": [0, 1, 2, 3, 4, 5], "method": [0, 2, 3, 4, 6], "oscil": [0, 4], "which": [0, 1, 2, 3, 4, 6], "its": [0, 2, 3, 4, 6], "point": [0, 2, 3, 4, 6], "veloc": 0, "vanish": [0, 4, 6], "find_period": 0, "tapprox": 0, "approxim": [0, 2, 3, 5, 6], "between": [0, 2, 3, 4, 6], "7": [0, 1, 2, 3, 4, 6], "3": [0, 1, 2, 3, 4, 6], "provid": [0, 1, 2, 3, 4, 6], "correctli": [0, 4], "chosen": [0, 1], "when": [0, 1, 2, 3, 4, 6], "dtheta": 0, "refin": [0, 4], "last": [0, 2, 4], "piec": [0, 2, 3, 6], "doe": [0, 2, 3, 4, 6], "main": [0, 2, 3], "25": [0, 2, 3, 4, 6], "0005": 0, "theta_max": 0, "pi": [0, 4, 6], "max": [0, 2, 4], "sec": 0, "print": [0, 1, 2, 3, 4, 5], "format": [0, 2, 3, 5], "minut": 0, "per": [0, 1], "fmt": [0, 2, 6], "2f": 0, "min": [0, 4], "n": [0, 1, 2, 3, 4, 6], "sdev": [0, 1, 2, 6], "60": [0, 3], "24": [0, 4, 6], "error": [0, 1, 2, 3, 4, 5], "budget": [0, 2, 5], "input": [0, 2, 3, 4, 6], "dict": [0, 1, 2, 3, 4, 6], "output": [0, 2, 6], "fmt_errorbudget": [0, 2, 6], "__name__": 0, "__main__": 0, "here": [0, 1, 2, 3, 4, 6], "both": [0, 1, 2, 4, 6], "have": [0, 1, 2, 3, 4, 6], "repres": [0, 2, 3, 4, 6], "object": [0, 3, 4, 5, 6], "These": [0, 2, 3, 4, 6], "work": [0, 2, 4, 6], "wai": [0, 1, 2, 3, 4, 6], "through": [0, 2, 4, 6], "final": [0, 1, 2, 3, 4, 6], "result": [0, 1, 2, 3, 4, 6], "run": 0, "follow": [0, 2, 3, 4, 6], "0210": 0, "20": [0, 1, 2, 3, 4, 6], "79": 0, "partial": [0, 2, 3, 4, 6], "10": [0, 1, 2, 3, 4, 6], "17": [0, 1, 2, 4], "total": [0, 2, 6], "19": [0, 1, 3, 6], "ha": [0, 1, 2, 3, 4, 6], "an": [0, 1, 2, 3, 4, 6], "about": [0, 2, 4, 6], "correspond": [0, 2, 3, 4, 6], "caus": [0, 2], "end": [0, 2, 3, 4], "show": [0, 1, 2, 3, 4, 6], "much": [0, 3, 6], "come": [0, 2, 6], "each": [0, 1, 2, 3, 4, 6], "sourc": [0, 2, 6], "ad": [0, 1, 2, 3, 6], "quadratur": [0, 2, 6], "could": [0, 1, 2, 3, 4, 6], "estim": [0, 1, 2, 3, 4, 6], "standard": [0, 1, 2, 3, 4, 6], "formula": [0, 6], "2\u03c0": 0, "sqrt": [0, 2, 3, 4, 6], "true": [0, 1, 2, 3, 4, 6], "trickier": 0, "sinc": [0, 2, 4, 6], "nonlinear": [0, 6], "tell": [0, 6], "improv": 0, "For": [0, 1, 2, 3, 4, 6], "reduc": [0, 3, 4, 6], "redesign": 0, "so": [0, 1, 2, 3, 4, 6], "36": 0, "rather": [0, 2, 3, 6], "than": [0, 1, 2, 3, 4, 6], "becom": [0, 4, 6], "independ": [0, 1, 2, 4], "less": [0, 1, 2, 4, 6], "sensit": [0, 1], "take": [0, 2, 4], "smaller": [0, 1, 2, 4, 6], "part": [0, 2, 3, 6], "03": [0, 6], "therebi": 0, "cut": [0, 2, 3, 5], "almost": [0, 2, 6], "half": [0, 1, 6], "5": [0, 1, 2, 3, 4, 6], "further": [0, 2, 6], "requir": [0, 3, 4, 5, 6], "tighter": 0, "control": [0, 6], "check": [0, 2, 6], "propag": [0, 4, 6], "abov": [0, 2, 3, 4, 6], "tlist": 0, "i": [0, 1, 2, 3, 4, 6], "rang": [0, 2, 3, 4, 6], "100": [0, 1, 2, 3, 4, 6], "append": [0, 2, 3], "4f": 0, "std": [0, 6], "addit": [0, 2, 3, 4], "0209": 0, "0020": 0, "new": [0, 1, 2, 3, 4, 6], "gener": [0, 2, 3, 4, 5], "differ": [0, 1, 2, 3, 4, 6], "valu": [0, 1, 2, 3, 4, 5], "randomli": 0, "drawn": [0, 2, 3, 6], "gaussian": [0, 3, 5], "distribut": [0, 2, 3, 6], "In": [0, 2, 3, 4, 6], "call": [0, 2, 3, 4, 6], "x": [0, 1, 2, 3, 4, 6], "random": [0, 1, 5], "number": [0, 1, 2, 3, 4, 5], "deviat": [0, 1, 2, 3, 6], "list": [0, 2, 3, 4, 6], "our": [0, 1, 3], "fluctuat": [0, 2, 3, 6], "onli": [0, 2, 3, 4, 6], "sampl": [0, 1, 2, 3, 4, 6], "000": [0, 2], "obtain": [0, 1, 2, 3, 4, 6], "previou": [0, 2, 6], "section": [0, 6], "tini": [0, 4, 6], "fraction": 0, "comput": [0, 2, 3, 4, 6], "note": [0, 2, 3, 6], "uncorrel": [0, 1, 2, 6], "ranit": [0, 2, 3, 6], "should": [0, 2, 3, 4, 6], "correl": [0, 2, 3, 5, 6], "aris": [1, 2, 6], "construct": [1, 2, 3, 4, 6], "matric": [1, 2, 3, 4, 6], "small": [1, 2, 3, 4, 6], "fix": 1, "want": [1, 3, 6], "slope": [1, 2], "indic": [1, 2, 3], "measur": [1, 2, 3], "quantiti": [1, 3, 6], "noisi": 1, "averag": [1, 2, 3, 4, 6], "13": [1, 3, 6], "set": [1, 2, 4, 5, 6], "y_sampl": 1, "j": [1, 2, 4, 6], "4": [1, 2, 3, 4, 6], "8409": 1, "8393": 1, "8403": 1, "8377": 1, "8356": 1, "12": [1, 2, 3, 6], "8389": 1, "14": [1, 3, 4, 6], "16": [1, 2, 6], "8362": 1, "18": [1, 6], "8351": 1, "8341": 1, "8639": 1, "8612": 1, "8597": 1, "8559": 1, "8537": 1, "8525": 1, "8498": 1, "8487": 1, "8460": 1, "8447": 1, "1048": 1, "1072": 1, "1071": 1, "1076": 1, "11": [1, 2, 3, 4], "1090": 1, "1107": 1, "15": [1, 2, 3, 6], "1113": 1, "1134": 1, "1145": 1, "21": [1, 3, 4, 6], "1163": 1, "0710": 1, "0696": 1, "0708": 1, "0705": 1, "0694": 1, "0681": 1, "0693": 1, "0695": 1, "0667": 1, "0678": 1, "0241": 1, "0223": 1, "0198": 1, "0204": 1, "0191": 1, "0193": 1, "0163": 1, "0154": 1, "0155": 1, "9719": 1, "9700": 1, "9709": 1, "9706": 1, "9707": 1, "9705": 1, "9699": 1, "9686": 1, "9676": 1, "0688": 1, "0709": 1, "0724": 1, "0730": 1, "0749": 1, "0776": 1, "0790": 1, "0800": 1, "0794": 1, "0795": 1, "1471": 1, "1468": 1, "1452": 1, "1451": 1, "1429": 1, "1445": 1, "1450": 1, "1435": 1, "1425": 1, "1432": 1, "0233": 1, "0225": 1, "0224": 1, "0216": 1, "0217": 1, "0208": 1, "0222": [1, 2], "8797": 1, "8792": 1, "8803": 1, "8794": 1, "8800": 1, "8801": 1, "8812": 1, "0388": 1, "0407": 1, "0409": 1, "0439": 1, "0443": 1, "0459": 1, "0455": 1, "0479": 1, "0493": 1, "0505": 1, "1353": 1, "1368": 1, "1376": 1, "1367": 1, "1360": 1, "1377": 1, "1369": 1, "1400": 1, "1384": 1, "1396": 1, "0051": 1, "0063": 1, "0022": 1, "0052": 1, "0040": 1, "0033": 1, "0007": 1, "9989": 1, "9994": 1, "9995": 1, "dataset": [1, 2, 5], "avg_data": [1, 2, 3], "013": 1, "27": [1, 2, 4, 6], "012": 1, "28": [1, 2, 3, 6], "highli": [1, 2, 6], "evalcorr": [1, 2, 6], "99990406": 1, "99973156": 1, "99959261": 1, "99985848": 1, "99982468": 1, "99987618": 1, "To": [1, 2, 3, 4, 6], "extract": [1, 2, 4], "fit": [1, 2, 6], "data": [1, 2, 4, 5, 6], "lsqfit": [1, 2, 3, 6], "modul": [1, 2, 3, 5, 6], "fcn": [1, 4], "p": [1, 2, 4, 6], "prior": 1, "nonlinear_fit": 1, "howev": [1, 2, 3, 6], "veri": [1, 3, 4, 6], "chi": [1, 2], "degre": [1, 2], "freedom": [1, 2], "least": [1, 2, 4, 6], "squar": [1, 2, 4, 6], "chi2": [1, 2, 6], "dof": [1, 2, 6], "q": [1, 2, 4, 6], "1e": [1, 2, 3, 4, 6], "loggbf": [1, 2], "816": 1, "963": 1, "00078": 1, "svdcut": [1, 2, 3], "tol": [1, 4], "08": [1, 4, 6], "itn": [1, 6], "do": [1, 2, 4, 6], "enough": [1, 6], "matrix": [1, 2, 3, 4, 6], "suffici": [1, 4, 6], "accur": [1, 3, 4, 6], "smallest": [1, 2, 3, 4], "eigenvalu": [1, 2, 3, 4], "tend": [1, 4], "underestim": [1, 2], "inde": [1, 6], "go": 1, "zero": [1, 2, 4, 6], "size": [1, 2, 3, 4, 6], "dimens": [1, 2, 3, 4, 6], "e": [1, 2, 3, 4, 6], "contribut": [1, 2, 6], "spuriou": 1, "larg": [1, 2, 3, 6], "One": [1, 2, 3, 5, 6], "declar": 1, "unreli": [1, 2, 4], "discard": [1, 2, 3], "them": [1, 2, 6], "just": [1, 2, 3, 4, 6], "individu": [1, 2, 4, 6], "accept": [1, 2, 4, 6], "02": [1, 6], "924": 1, "9999": 1, "30": [1, 2, 3], "confirm": 1, "what": [1, 2, 6], "suspect": 1, "ignor": [1, 2, 3, 4, 6], "strong": [1, 2, 6], "relev": [1, 3], "Not": 1, "surprisingli": 1, "accuraci": [1, 4], "quit": [1, 6], "retain": [1, 2, 3, 4], "those": [1, 2, 3, 4, 6], "svd_diagnosi": [1, 3], "bootstrap": [1, 2, 3, 6], "analysi": [1, 2, 5, 6], "investig": 1, "stabil": 1, "plot_ratio": [1, 3], "displai": [1, 2, 3, 5], "plot": [1, 2, 3, 6], "ratio": [1, 2, 3, 4, 6], "divid": [1, 2, 3], "real": [1, 4, 6], "test": [1, 2, 6], "significantli": [1, 2, 3, 6], "lower": [1, 2, 4, 6], "like": [1, 2, 3, 4, 6], "agre": [1, 2, 4], "well": [1, 2, 4, 6], "upper": [1, 2], "spectrum": [1, 3], "all": [1, 2, 3, 4, 6], "low": [1, 2, 6], "dot": [1, 2, 3, 4, 6], "bottom": 1, "line": [1, 2, 3, 6], "most": [1, 2, 3, 4, 6], "fall": [1, 2, 4], "below": [1, 2, 3], "modifi": [1, 2, 3, 6], "sens": [1, 2], "underli": [1, 2, 3, 6], "li": [1, 6], "roughli": [1, 3], "largest": [1, 2, 4], "address": [1, 3], "introduc": [1, 2, 6], "suggest": [1, 2, 6], "red": [1, 3, 6], "figur": 1, "version": [1, 2, 6], "whose": [1, 2, 3, 4, 6], "unchang": [1, 2], "max_eig": [1, 2], "equal": [1, 2, 3, 4, 6], "probabl": [1, 2, 6], "overestim": 1, "associ": [1, 2, 3, 4, 6], "conserv": [1, 2], "move": 1, "make": [1, 2, 3, 6], "singular": [1, 2, 3, 4], "53": [1, 6], "45": [1, 2, 3], "208": 1, "008": 1, "22": [1, 2, 3, 6], "00001": 1, "more": [1, 2, 3, 4, 6], "order": [1, 2, 3, 4, 6], "magnitud": [1, 2, 6], "approach": 1, "weight": [1, 3, 4], "wavg": [1, 3], "again": [1, 2, 3, 6], "first": [1, 2, 3, 4, 6], "been": [1, 2, 4], "appli": [1, 2, 3, 6], "often": [1, 3, 4], "necessari": [1, 2], "typic": [1, 2, 3, 4], "need": [1, 2, 3, 4, 6], "mani": [1, 2, 4, 6], "variabl": [1, 3, 4, 5], "Such": [1, 2, 6], "feasibl": 1, "might": [1, 2, 3, 4, 6], "essenti": [1, 3, 6], "usabl": 1, "type": [2, 3, 4, 6], "specifi": [2, 3, 4, 6], "thei": [2, 3, 4, 6], "z": [2, 6], "contain": [2, 3, 4, 6], "varieti": 2, "tool": [2, 3, 4, 6], "manipul": [2, 4, 6], "includ": [2, 3, 4, 6], "var": [2, 6], "varianc": [2, 3, 4, 6], "is_primari": 2, "whether": [2, 3, 6], "primari": [2, 6], "fals": [2, 3, 4, 6], "depend": [2, 6], "collect": [2, 3, 6], "filter": 2, "f": [2, 4, 6], "arg": [2, 3], "karg": [2, 3], "respect": [2, 4, 6], "replac": [2, 3, 4, 6], "dictionari": [2, 3, 4, 6], "string": [2, 3, 4, 6], "represent": [2, 4, 6], "tabul": [2, 4], "entri": [2, 3, 4, 6], "corr": 2, "add": [2, 3, 6], "g1": [2, 4], "g2": [2, 4], "qqplot": 2, "qq": 2, "equival": [2, 3, 4, 6], "same": [2, 3, 4, 6], "evalcov": [2, 6], "covari": [2, 3, 4, 6], "evalcov_block": 2, "diagon": [2, 6], "block": 2, "fmt_valu": [2, 6], "tabl": [2, 6], "fmt_chi2": 2, "inform": [2, 3, 4, 6], "class": [2, 4, 5, 6], "buffer": 2, "densiti": [2, 6], "pdfstatist": [2, 6], "statist": [2, 3, 6], "moment": [2, 6], "pdfhistogram": [2, 6], "build": [2, 3], "histogram": [2, 6], "dump": [2, 6], "outputfil": 2, "serial": 2, "file": [2, 3, 6], "byte": [2, 6], "load": [2, 6], "inputfil": 2, "reconstitut": [2, 6], "inputbyt": 2, "gdump": 2, "gload": 2, "inputstr": 2, "remove_gvar": 2, "gvlist": 2, "remov": [2, 3], "distribute_gvar": 2, "restor": [2, 6], "gvarref": 2, "placehold": 2, "disassembl": 2, "level": [2, 6], "reassembl": [2, 6], "cov": [2, 6], "iter": [2, 3, 4, 6], "ranse": 2, "seed": 2, "bootstrap_it": [2, 3, 6], "regul": [2, 3], "ep": [2, 3], "bin_data": [2, 3], "bin": [2, 3, 6], "The": [2, 3, 4, 5, 6], "one": [2, 3, 4, 6], "gvarfactori": 2, "xsdev": [2, 6], "shape": [2, 3, 4, 6], "kei": [2, 3, 4, 6], "layout": [2, 3, 6], "xcov": [2, 6], "k1": 2, "k2": 2, "ani": [2, 3, 4, 6], "singl": [2, 6], "compat": 2, "produc": [2, 3], "therefor": [2, 6], "verifi": [2, 4, 6], "symmetr": [2, 3, 4], "posit": 2, "definit": [2, 4], "expens": 2, "done": [2, 3, 6], "default": [2, 3, 4, 6], "unpredict": 2, "outcom": 2, "improp": 2, "fast": 2, "normal": [2, 4], "tri": 2, "break": 2, "disjoint": 2, "decompos": [2, 3], "decomposit": [2, 4], "save": [2, 6], "memori": 2, "later": [2, 5], "faster": [2, 3, 4], "extra": [2, 4, 6], "process": [2, 3], "keyword": [2, 3, 4], "prevent": [2, 4], "would": [2, 3, 6], "wa": [2, 3, 4, 6], "known": [2, 4], "ahead": 2, "sub": [2, 4], "either": [2, 3, 4, 6], "choic": [2, 3], "correct": [2, 3, 4, 6], "answer": [2, 4], "effici": 2, "xstr": 2, "form": 2, "xmean": [2, 6], "xerr": 2, "see": [2, 4, 6], "xgvar": 2, "xdict": 2, "b": [2, 3, 4, 6], "k": [2, 3, 4, 6], "everi": [2, 3, 4], "tupl": [2, 3, 4, 6], "xarrai": 2, "element": [2, 3, 4, 6], "ymean": 2, "ycov": 2, "xycov": 2, "chang": [2, 4, 6], "becaus": [2, 3, 4, 6], "effect": [2, 6], "argument": [2, 3, 4, 6], "gvar_funct": [2, 6], "dfdx": [2, 6], "df": [2, 6], "dx": [2, 4, 6], "multidimension": [2, 3, 6], "while": [2, 3, 4, 6], "must": [2, 4, 6], "float": [2, 4, 6], "math": [2, 4, 6], "isinst": [2, 6], "co": [2, 4, 6], "els": [2, 6], "unnecessari": 2, "alreadi": 2, "evalu": [2, 4, 6], "A": [2, 3, 4, 5, 6], "comparison": [2, 6], "left": 2, "If": [2, 3, 4, 6], "arithmet": [2, 4, 5], "express": [2, 3, 4, 6], "combin": [2, 4, 6], "multipl": [2, 3, 4, 6], "origin": [2, 3, 4, 6], "sum_p": [2, 6], "dz": [2, 6], "dp": [2, 6], "sum": [2, 4, 6], "upon": [2, 3, 6], "appear": [2, 4, 6], "onc": [2, 6], "mark": 2, "avoid": 2, "doubl": 2, "count": [2, 6], "uniqu": 2, "etc": 2, "bool": [2, 3, 4], "otherwis": [2, 4], "usag": [2, 3, 4], "g_mod": 2, "doesn": 2, "consist": [2, 3], "nest": 2, "possibl": [2, 6], "dequ": 2, "gvar_arrai": 2, "ndecim": 2, "none": [2, 3, 4, 6], "sep": 2, "gi": 2, "structur": 2, "ncol": 2, "header": 2, "offset": 2, "content": [2, 3, 5, 6], "ordereddict": 2, "scalar": [2, 3, 4], "vector": [2, 3, 4], "52": 2, "09": 2, "tensor": 2, "01": [2, 4, 6], "50": [2, 3, 4, 6], "001": 2, "033": 2, "00": [2, 4, 6], "007": 2, "237": 2, "23": 2, "75": [2, 6], "index": [2, 3, 5], "520": 2, "2370": 2, "40": [2, 6], "split": 2, "column": 2, "plu": [2, 6], "omit": [2, 3, 4], "str": [2, 3, 4, 6], "insert": 2, "begin": [2, 3], "digit": [2, 6], "after": [2, 3, 4], "decim": 2, "present": 2, "applic": [2, 4, 6], "involv": [2, 4, 6], "togeth": [2, 3, 4, 6], "unless": [2, 3], "triangular": 2, "transpos": 2, "verif": 2, "costli": 2, "doubli": 2, "compress": [2, 3], "store": [2, 4, 5], "compon": [2, 4], "idx": 2, "bcov": 2, "flat": [2, 4], "len": [2, 4], "particularli": [2, 6], "spars": [2, 6], "nonzero": [2, 4, 6], "thu": [2, 4, 6], "full": [2, 4, 6], "reconstruct": [2, 6], "slightli": [2, 6], "easi": [2, 3], "new_g": 2, "empti": 2, "dtype": [2, 3, 6], "dg": 2, "invcov": 2, "invers": [2, 4], "multi": [2, 3, 6], "dimension": [2, 3, 5, 6], "within": [2, 3, 6], "high": [2, 6], "being": [2, 3], "compar": [2, 4, 6], "usual": [2, 4, 6], "altern": [2, 3, 4], "instead": [2, 6], "case": [2, 3, 4, 5, 6], "likelihood": 2, "came": 2, "miss": 2, "overlap": 2, "26": [2, 6], "reason": 2, "cutoff": [2, 4], "int": [2, 3, 4], "assign": [2, 6], "attribut": [2, 3, 4], "attach": 2, "larger": [2, 3, 4, 6], "chanc": 2, "even": [2, 3, 6], "residu": [2, 4], "term": [2, 4], "mode": [2, 6], "straight": 2, "along": 2, "dash": [2, 3, 6], "black": [2, 6], "gsampl": 2, "distribtuion": 2, "unit": 2, "matplotlib": [2, 3, 6], "plotter": [2, 3], "pyplot": [2, 3, 6], "invert": 2, "document": [2, 6], "scipi": [2, 4], "assum": [2, 3, 4, 6], "logarithm": [2, 3, 4], "bay": 2, "rtol": [2, 4], "atol": 2, "toler": [2, 4], "operation": 2, "agreement": 2, "ab": [2, 6], "diff": 2, "summ": 2, "der": [2, 6], "pair": [2, 4], "interchang": 2, "ones": [2, 4], "made": 2, "share": [2, 3], "match": [2, 3, 4], "rel": [2, 4, 6], "absolut": [2, 4], "retriev": [2, 6], "add_depend": 2, "write": 2, "filenam": [2, 3], "name": [2, 3, 6], "recov": 2, "xxx": 2, "pickl": [2, 6], "read": [2, 3], "recreat": 2, "unlik": 2, "latter": [2, 4], "preserv": [2, 6], "relationship": 2, "search": [2, 4, 5], "recurs": 2, "guarante": [2, 4], "greatli": 2, "increas": [2, 4], "cost": [2, 3, 6], "written": [2, 3, 4, 6], "bytesio": 2, "automat": [2, 4, 6], "pass": 2, "shorthand": [2, 3], "getvalu": 2, "gbyte": 2, "convert": [2, 3, 6], "back": 2, "attempt": 2, "old": 2, "encount": 2, "out": [2, 4, 6], "de": 2, "describ": [2, 4, 6], "former": [2, 3], "wherea": 2, "mai": [2, 3, 4, 6], "restrict": [2, 3], "json": 2, "text": [2, 3], "binari": 2, "python": [2, 3, 6], "secur": 2, "issu": [2, 3, 4, 6], "troubl": 2, "workaround": 2, "succe": 2, "eval": 2, "repr": 2, "wide": [2, 6], "integ": [2, 4], "try": 2, "fail": [2, 4], "stringio": 2, "infer": [2, 4], "extens": 2, "pkl": [2, 6], "gstr": 2, "obj": 2, "access": [2, 4], "__dict__": [2, 6], "__slots__": 2, "defin": [2, 3, 4, 6], "_remove_gvar": 2, "copi": [2, 3, 4, 6], "treatment": 2, "instanc": [2, 4], "without": [2, 4, 6], "self": [2, 3, 4, 6], "tmp": 2, "_distribute_gvar": 2, "behavior": [2, 3, 6], "undefin": 2, "There": [2, 3, 4, 6], "analog": [2, 6], "facilit": 2, "undo": 2, "discuss": [2, 6], "detail": 2, "smat": 2, "were": [2, 3, 4, 6], "w": [2, 4], "r": [2, 3, 6], "incorpor": 2, "impli": [2, 3, 4, 6], "intact": 2, "arbitrari": [2, 3, 4, 6], "uniform": 2, "cover": [2, 4], "interv": [2, 3, 4, 6], "center": 2, "princip": 2, "axi": 2, "ellips": 2, "next": [2, 3, 6], "reus": 2, "own": 2, "regener": 2, "rese": 2, "analyz": [2, 3, 4, 6], "percent": 2, "colwidth": 2, "ko": 2, "ki": 2, "row": 2, "label": [2, 3], "cannot": [2, 6], "distinguish": 2, "place": [2, 3], "themselv": [2, 4], "width": [2, 3, 4, 6], "accommod": 2, "warn": [2, 3, 4, 6], "incomplet": 2, "overcomplet": 2, "No": [2, 4], "v": [2, 3], "wgt": 2, "nois": [2, 4], "gmod": 2, "extent": [2, 6], "modif": [2, 4], "implement": [2, 4, 6], "norm": [2, 4], "linalg": [2, 4], "inf": 2, "neglig": [2, 3, 6], "notic": 2, "lead": [2, 4, 6], "eig": 2, "member": 2, "befor": [2, 6], "commensur": 2, "interpret": 2, "numer": [2, 5, 6], "robust": [2, 3], "especi": [2, 3, 6], "system": [2, 4], "roundoff": [2, 6], "destabil": 2, "calul": 2, "similar": [2, 3, 6], "situat": [2, 3, 4, 6], "badli": 2, "i_wgt": 2, "non": [2, 3, 4, 5], "1x1": 2, "inv_cov": 2, "nxn": 2, "similarli": [2, 3, 4], "expect": [2, 5], "u": [2, 4], "desir": 2, "simul": [2, 5], "choleski": 2, "dicitionari": 2, "multipli": 2, "neg": [2, 4], "eigenmod": [2, 3], "nmod": [2, 3], "nblock": 2, "debug": [2, 4], "logdet": [2, 4], "separ": [2, 3, 6], "drop": [2, 3, 6], "spectral": 2, "eignevalu": 2, "eigen_rang": 2, "rescal": [2, 4], "exclud": 2, "curv": [2, 3, 6], "rebuild": 2, "strip": 2, "wherev": 2, "aren": 2, "anti": [2, 6], "rebuilt": 2, "exist": [2, 3], "eras": [2, 3], "switch_gvar": [2, 6], "switch": [2, 6], "factori": 2, "gvar_factori": [2, 6], "never": [2, 6], "unsupport": 2, "messag": 2, "incompat": 2, "restore_gvar": [2, 6], "intern": [2, 6], "fundament": [2, 6], "basic": [2, 4], "allow": [2, 3, 4, 6], "isol": 2, "partialvar": 2, "convent": 2, "disentangl": 2, "partialsdev": [2, 6], "respest": 2, "hold": 2, "constant": 2, "__str__": 2, "too": [3, 4, 6], "67": [3, 4, 6], "log10": [], "exponenti": 4, "notat": [4, 6], "refer": [2, 3], "dotder": 2, "product": [2, 6], "heavili": 2, "flexibl": [2, 6], "ordinari": [2, 5], "pack": 2, "item": [2, 3], "buf": 2, "overwritten": 2, "valueerror": [2, 4], "except": [2, 3, 4], "fine": [2, 4], "second": [2, 4, 6], "log": [2, 4, 6], "though": [2, 6], "still": [2, 4, 6], "exp": [2, 4, 6], "featur": [2, 6], "support": [2, 3, 4, 6], "gaussain": 2, "1662650927997817": 2, "3350022125310317": 2, "732161128765775": 2, "578188553455522": 2, "four": [2, 3], "get": [2, 3, 6], "add_distribut": 2, "c": [2, 4, 6], "dynam": [2, 5], "itself": [2, 6], "int64": 2, "float64": 2, "anoth": [2, 3, 4, 6], "subsequ": [2, 4], "some": [2, 4, 6], "arithemet": 2, "sai": [2, 4], "33": [2, 4, 6], "subtract": 2, "divis": 2, "oper": [2, 4, 6], "unari": 2, "clone": 2, "nbuf": 2, "1d": 2, "direct": [2, 4], "new_val": 2, "th": [2, 4, 6], "alwai": [2, 6], "sever": [2, 3, 4], "simplifi": 2, "Being": [2, 4], "henc": [2, 3], "flatten": 2, "slice": [2, 3], "slice_shap": 2, "has_dictkei": 2, "all_kei": 2, "implicit": 2, "718281828459045": 2, "implicitli": 2, "static": 2, "invfcn": 2, "enabl": 2, "avail": [2, 3, 4], "erfinv": 2, "erf": [2, 6], "rais": [2, 4], "delet": 2, "del_distribut": 2, "callabl": 2, "transform": 2, "has_distribut": 2, "fname": 2, "umin": 2, "umax": 2, "minimum": [2, 3, 4], "handl": [2, 6], "mat": 2, "svdnum": 2, "compute_delta": 2, "po": 2, "sym": 2, "eigenvector": [2, 4], "elimin": 2, "val": [2, 3, 4, 6], "94098301": 2, "05901699": 2, "vec": [2, 4], "1st": 2, "97324899": 2, "22975292": 2, "2nd": 2, "forc": 2, "2354102": 2, "decomp": 2, "invmat": 2, "outer": 2, "wj": 2, "00000000e": 2, "77555756e": 2, "66533454e": 2, "delta": [2, 4], "valmin": 2, "valorig": 2, "precondit": 2, "m": [2, 4, 6], "uncondit": 2, "Is": 2, "power": [2, 5], "sum_i": [2, 4], "That": [2, 4], "logpdf": 2, "eig_max": 2, "amelior": [2, 3], "problem": [2, 3, 5, 6], "leav": 2, "skew": [2, 6], "excess": [2, 6], "kurtosi": [2, 6], "option": [2, 3, 4], "histgram": 2, "prob": 2, "accumul": [2, 3], "coeffici": [2, 3, 4], "ex_kurt": [2, 6], "median": [2, 3, 6], "34": [2, 3, 6], "minu": [2, 6], "nbin": [2, 3, 6], "binwidth": 2, "util": 2, "studi": [2, 5, 6], "10000": 2, "hist": 2, "stat": [2, 6], "turn": 2, "base": [2, 3], "0017": 2, "0213": 2, "1358": 2, "3401": 2, "3418": 2, "1351": 2, "0018": 2, "52334": 2, "0069999": 2, "034105": 2, "00141666398": 2, "499891542549": 2, "501710986504": 2, "plt": [2, 6], "make_plot": [2, 6], "xlabel": [2, 6], "ylabel": 2, "complic": [2, 3, 6], "default_nbin": 2, "default_binwidth": 2, "edg": 2, "overrid": [2, 3], "midpoint": 2, "h": [2, 4], "close": [2, 6], "open": [2, 3, 6], "right": [2, 6], "characterist": 2, "plottyp": 2, "bar": [2, 3], "alpha": 2, "color": 2, "errorbar": 2, "ls": 2, "window": 2, "boolean": [2, 6], "display": 2, "cumul": 2, "graph": 2, "heavi": 2, "elementari": [2, 4], "bufferdict": [3, 5], "six": 3, "look": [3, 4, 6], "random_numb": 3, "739": 3, "682": 3, "493": 3, "460": 3, "603": 3, "800": 3, "random_arrai": 3, "494": 3, "734": 3, "172": 3, "400": 3, "571": 3, "304": 3, "532": 3, "510": 3, "669": 3, "873": 3, "242": 3, "188": 3, "random_dict": 3, "synchron": 3, "other": [3, 4, 5, 6], "With": 3, "31": [3, 4], "guess": 3, "95": [3, 6], "behind": [3, 6], "assembl": 3, "imagin": 3, "datafil": 3, "ident": [3, 6], "bracket": [3, 4], "comma": 3, "yaml": 3, "dfile": 3, "load_al": 3, "record": 3, "binsiz": 3, "three": [2, 3, 6], "manag": 3, "spread": 3, "bstrap": 3, "noerror": 3, "mismatch": 3, "truncat": [3, 4], "99": [3, 4, 6], "54": 3, "121": 3, "149": 3, "135": [3, 6], "64": [3, 6], "69": [3, 4, 6], "108": 3, "substanti": 3, "eg": [3, 4], "10x": 3, "poorli": 3, "svd": [3, 4, 5], "trigger": [], "amount": 3, "unaffect": 3, "extrem": [3, 4, 6], "outlier": 3, "third": 4, "explicit": [3, 6], "fourth": 2, "fifth": [], "slowest": 3, "decorrel": 3, "fastest": 3, "autocorr": 3, "autocorrel": 3, "distanc": [3, 6], "perfect": 3, "anticorrel": 3, "odd": 3, "fft": 3, "grow": 3, "linearli": 3, "up": [3, 4], "consecut": 3, "group": [3, 6], "insuffici": 3, "complet": [3, 6], "repetit": 3, "among": [3, 6], "data_it": 3, "consequ": [3, 6], "variat": [3, 6], "deal": [3, 4, 6], "inputdata": 3, "grep": 3, "h5group": 3, "identifi": 3, "consid": [3, 4, 6], "dset": 3, "91": [3, 6], "dd": 3, "statement": [3, 6], "extend": 3, "batch": 3, "huge": 3, "concern": 3, "93": 3, "regular": 3, "hdf5": 3, "h5py": 3, "h5": 3, "mcdata": 3, "f8": 3, "dset_bin": 3, "dset_v": 3, "comment": 3, "suppli": [3, 4, 6], "gz": 3, "bz2": 3, "Its": 3, "don": 3, "kept": 3, "top": 3, "samples": 3, "merg": 3, "file1": 3, "data_extra": 3, "file2": 3, "now": [3, 4, 6], "rexp": 3, "accord": 3, "re": 3, "xx": 3, "xy": 3, "200": 3, "yy": 3, "sl": 3, "success": [3, 4], "exce": 3, "arrayzip": 3, "templat": 3, "2x2": 3, "long": [3, 4], "trim": 3, "toarrai": 3, "nbstrap": 3, "mincut": 3, "model": 3, "process_dataset": 3, "diagnos": 3, "reliabl": [3, 4], "good": [3, 4], "avgdata": 3, "defect": 3, "actual": [3, 4, 6], "command": 3, "ns": 3, "Then": [3, 4, 6], "conjunct": 3, "multifitt": 3, "fitter": 3, "pdata": 3, "bad": [3, 4], "bsval": 3, "blue": 3, "versu": 3, "across": 3, "propos": [3, 4], "intersect": 3, "vertic": 3, "algorithm": [4, 6], "pure": [4, 6], "perhap": 4, "minor": 4, "adapt": [4, 6], "cspline": 4, "powerseri": 4, "smooth": [4, 6], "interpol": 4, "xknot": 4, "yknot": 4, "extrap_ord": 4, "alg": 4, "steffen": 4, "knot": 4, "continu": [4, 6], "polynomi": 4, "adjac": 4, "d2": 4, "d3": 4, "increasingli": 4, "outsid": [2, 4], "As": [4, 6], "idea": 4, "constructor": 4, "closest": 4, "extrapol": 4, "vicin": 4, "endpoint": 4, "explicitli": [4, 6], "dydx_i": 4, "dydx_f": 4, "select": 4, "monoton": 4, "quadrat": 4, "natur": 4, "boundari": 4, "pchip": 4, "pchipinterpol": 4, "smoothest": 4, "overreact": 4, "abrupt": 4, "jump": 4, "unrealist": 4, "around": 4, "unabl": 4, "overshoot": 4, "irrelev": 4, "78539816": 4, "57079633": 4, "35619449": 4, "14159265": 4, "70710678": 4, "644243383100598": 4, "7655924482958195": 4, "23496394264839268": 4, "exact": [4, 6], "pretti": 4, "2951": 4, "9551": 4, "2842": 4, "0446": 4, "2955": 4, "9553": 4, "0447": 4, "4791": 4, "8793": 4, "4737": 4, "1222": 4, "4794": 4, "8776": 4, "1224": 4, "6442": 4, "7656": 4, "6632": 4, "2350": 4, "7648": 4, "2352": 4, "7830": 4, "6176": 4, "7891": 4, "3782": 4, "7833": 4, "6216": 4, "3784": 4, "8902": 4, "4520": 4, "8676": 4, "5461": 4, "8912": 4, "4536": 4, "5464": 4, "9627": 4, "2706": 4, "9461": 4, "7319": 4, "9636": 4, "2675": 4, "7325": 4, "9974": 4, "0735": 4, "0246": 4, "9286": 4, "9975": 4, "07074": 4, "9293": 4, "7618635470106572": 4, "cours": [4, 6], "region": [4, 6], "although": 4, "sequenc": 4, "locat": [4, 6], "nearest": 4, "common": [4, 6], "practic": 4, "suppress": 4, "det": 4, "deterim": 4, "slogdet": 4, "sign": 4, "inv": 4, "solv": [4, 6], "lstsq": 4, "rcond": 4, "extrainfo": 4, "minim": 4, "isig": 4, "machin": [4, 6], "unweight": 4, "rank": 4, "eigvalsh": 4, "eigvec": 4, "hermitian": 4, "ascend": 4, "eigh": 4, "degener": 4, "eigvector": 4, "compute_uv": 4, "vt": 4, "diag": 4, "rung": 4, "kutta": 4, "05": 4, "hmin": 4, "hmax": 4, "maxstep": 4, "dy": [4, 6], "odeint": 4, "x1": 4, "x0": 4, "y1": 4, "y2": 4, "x2": 4, "interfac": 4, "specif": [2, 4, 6], "rewritten": 4, "step": [4, 6], "track": [4, 6], "decreas": 4, "repeat": 4, "ngood": 4, "nbad": 4, "custom": 4, "criterion": 4, "yerr": 4, "delta_i": 4, "fab": [4, 6], "current": 4, "achiev": [4, 6], "higher": 4, "entir": [4, 6], "request": 4, "infinit": 4, "loop": 4, "runtimeerror": 4, "intermedi": 4, "dictintegr": 4, "ste": 4, "psize": 4, "soln": 4, "fcnshape": 4, "500000002834": 4, "x3": 4, "integrand": [4, 6], "fshape": 4, "gavg": 4, "denomin": [4, 6], "num": 4, "den": 4, "pade_svd": 4, "imprecis": 4, "unstabl": 4, "500": 4, "1667": 4, "04167": 4, "083": 4, "55": 4, "714": 4, "58": 4, "583": 4, "82": 4, "29": [4, 6], "geometr": 4, "avg": 4, "skip": 4, "pade_gvar": 4, "gonnet": 4, "guttel": 4, "trefethen": 4, "siam": 4, "review": 4, "vol": 4, "101": 4, "2013": 4, "f0": 4, "f1": 4, "f2": 4, "f3": 4, "principl": 4, "finit": 4, "highest": 4, "unknown": 4, "oppos": 4, "theorem": 4, "g0": 4, "calculu": [4, 6], "4th": 4, "ps": 4, "16666667": 4, "04166667": 4, "tan": [4, 6], "operand": 4, "lowest": 4, "00833333": 4, "easili": [4, 6], "0000e": 4, "7755e": 4, "6327e": 4, "166666666667": 4, "0100501670833": 4, "0100501670842": 4, "f00": 4, "f10": 4, "f01": 4, "f20": 4, "f11": 4, "f02": 4, "multiseri": 4, "g_taylor": 4, "375": 4, "2734375": 4, "exp_taylor": 4, "multivar": 4, "dim": 4, "3495000000000001": 4, "3498588075760032": 4, "overridden": 4, "pad": 4, "short": 4, "altogeth": 4, "3rd": 4, "yield": 4, "mathemat": [4, 6], "coeff": 4, "indefinit": 4, "i1": 4, "i2": 4, "id": 4, "xd": 4, "expon": 4, "space": 4, "1384283767210035": 4, "4522712143931042": 4, "14159265359": 4, "setp": 4, "examin": 4, "stop": 4, "found": 4, "By": [4, 6], "nit": 4, "142": [4, 6], "reflect": 4, "descript": 4, "incr": 4, "fac": 4, "maxit": 4, "coars": 4, "seek": 4, "0912680532870755": 4, "4003948586157833": 4, "dimenions": 4, "sought": 4, "increment": 4, "monitor": 4, "occur": 4, "fcnval": 4, "1000": [4, 6], "insid": 4, "richard": 4, "brent": 4, "book": 4, "1973": 4, "confin": 4, "sy": [2, 4], "float_info": [2, 4], "epsilon": 4, "converg": 4, "userwarn": 4, "overview": 5, "tutori": 5, "introduct": 5, "optim": 5, "vega": [5, 6], "pdfintegr": [5, 6], "pdf": [5, 6], "relat": 5, "cubic": 5, "spline": 5, "linear": [5, 6], "algebra": 5, "pade": 5, "seri": 5, "find": 5, "pendulum": 5, "clock": 5, "period": 5, "poor": 5, "better": [5, 6], "page": 5, "arbitrarili": 6, "character": 6, "mass": 6, "125": 6, "gev": 6, "recent": 6, "discov": 6, "higg": 6, "boson": 6, "particl": 6, "physic": 6, "energi": 6, "carri": 6, "momentum": 6, "70": 6, "38": 6, "279303665": 6, "375787639425": 6, "compact": 6, "parenthes": 6, "rightmost": 6, "quot": 6, "nontrivi": 6, "mostli": 6, "strongli": 6, "cancel": 6, "07621": 6, "obviou": 6, "off": 6, "14867019": 6, "14121635": 6, "98905722": 6, "98": 6, "4e": 6, "know": 6, "04": 6, "06": 6, "thousand": 6, "fed": 6, "complex": 6, "scene": 6, "learn": 6, "focus": 6, "experiment": 6, "bayesian": 6, "mont": 6, "carlo": 6, "outermost": 6, "parenthesi": 6, "__future__": 6, "print_funct": 6, "your": 6, "built": 6, "rule": 6, "denot": 6, "primordi": 6, "72": 6, "374": 6, "511": 6, "1415": 6, "0002": 6, "14150": 6, "you": 6, "unsur": 6, "interest": 6, "special": 6, "015625": 6, "sigma_x": 6, "sigma_i": 6, "fairli": 6, "96": 6, "garrai": 6, "gdict": 6, "arithemt": [], "0039": 6, "010": 6, "happen": 6, "stronger": 6, "4072": 6, "87": 6, "99805258": 6, "9995188": 6, "arcsin": 6, "arcco": 6, "arctan": 6, "arctan2": 6, "sinh": 6, "cosh": 6, "tanh": 6, "arcsinh": 6, "arccosh": 6, "arctanh": 6, "languag": 6, "directli": 6, "capabl": 6, "logic": 6, "beyond": 6, "scope": 6, "act": 6, "easier": 6, "fmean": 6, "fder": 6, "sometim": 6, "00390244274": 6, "compil": 6, "80": 6, "84": 6, "respons": 6, "captur": 6, "easiest": 6, "gfile": 6, "lost": 6, "wb": 6, "rb": 6, "Of": 6, "simpler": 6, "goal": 6, "unimport": 6, "matter": 6, "abl": 6, "__init__": 6, "__reduce__": 6, "stream": 6, "un": 6, "scale": 6, "appreci": 6, "permit": 6, "fhist": 6, "fstat": 6, "fp": 6, "p_expval": 6, "neval": 6, "5000": 6, "nitn": 6, "summari": 6, "approx": 6, "p_0": 6, "p_1": 6, "xlim": 6, "correct_fp": 6, "linspac": 6, "xi": 6, "variou": 6, "00032": 6, "90": 6, "9992": 6, "99976": 6, "9987": 6, "99942": 6, "57": 6, "97": 6, "00058": 6, "92": 6, "99971": 6, "49": 6, "89": 6, "74": 6, "99992": 6, "99975": 6, "44": 6, "73": 6, "00059": 6, "99989": 6, "71": 6, "99830": 6, "99966": 6, "37": 6, "00201": 6, "88": 6, "99996": 6, "77": 6, "9977": 6, "86": 6, "9996": 6, "99970": 6, "32": 6, "01862": 6, "043161": 6, "004672": 6, "011470": 6, "20692": 6, "2567": 6, "116": 6, "00017": 6, "17397": 6, "11705": 6, "43": 6, "020": 6, "94": 6, "summar": 6, "perform": 6, "side": 6, "0186": 6, "somewhat": 6, "2069": 6, "094": 6, "broader": 6, "019": 6, "207": 6, "neither": 6, "maximimum": 6, "68": 6, "succinct": 6, "29895701465": 6, "00633184275": 6, "92649199321": 6, "giter": 6, "da": 6, "51874589": 6, "59987422": 6, "39755111": 6, "24780937": 6, "49840244": 6, "50643312": 6, "vari": 6, "rare": 6, "0000": 6, "88986130981173306": 6, "02994213": 6, "99973707": 6, "21289976681277872": 6, "9351328": 6, "00008606": 6, "justifi": 6, "obvious": 6, "wrong": 6, "ran_x": 6, "_": 6, "ran_co": 6, "dev": 6, "0350548954142": 6, "718647118869": 6, "100000": 6, "00806276057656": 6, "706357174056": 6, "procedur": 6, "trivial": 6, "analys": 6, "fake": 6, "005": 6, "gbs_iter": 6, "gb": 6, "valid": 6, "potenti": 6, "problemat": 6, "ada": 6, "00010": 6, "encod": 6, "2e": 6, "bit": 6, "lot": 6, "necessarili": 6, "slower": 6, "allevi": 6, "absent": 6, "earlier": 6, "seven": [], "sixth": [], "unbia": 3, "x_avg": [], "y_avg": [], "x_i": [], "overlin": [], "y_i": [], "unbias": 3, "bias": 3, "arger": [], "bia": 3, "But": 3, "mimatch": 3, "2p": [2, 6], "9315": 2, "2g": [2, 6], "931": 2, "230": 2, "14159": 6, "0236": 6, "3f": [2, 6], "1416": 6, "236": 6, "field": [2, 6], "3p": 6, "exactli": 2, "round": [], "023": 6, "default_format": [2, 6], "formatt": [2, 6], "new_formatt": 6, "spec": [2, 6], "2360": [], "0e": 6, "__format__": 2, "314": 2, "56": 2, "3e": 2, "231": 2, "156": 2, "123": 2, "symbol": 2, "oldparam": 2, "default_spec": [], "plusminu": 2, "reset": 2, "3g": 2, "buggi": 2, "deprec": 2, "prang": 2, "dig": 2, "4g": 2, "old_set": 6, "pm": 6, "latex": 6, "0f": 6}, "objects": {"": [[2, 0, 0, "-", "gvar"]], "gvar": [[2, 1, 1, "", "BufferDict"], [2, 1, 1, "", "GVar"], [2, 1, 1, "", "GVarRef"], [2, 1, 1, "", "PDF"], [2, 1, 1, "", "PDFHistogram"], [2, 1, 1, "", "PDFStatistics"], [2, 1, 1, "", "SVD"], [2, 4, 1, "", "bootstrap_iter"], [2, 4, 1, "", "chi2"], [2, 4, 1, "", "corr"], [2, 4, 1, "", "correlate"], [2, 4, 1, "", "cov"], [4, 0, 0, "-", "cspline"], [3, 0, 0, "-", "dataset"], [2, 4, 1, "", "dependencies"], [2, 4, 1, "", "deriv"], [2, 4, 1, "", "disassemble"], [2, 4, 1, "", "distribute_gvars"], [2, 4, 1, "", "dump"], [2, 4, 1, "", "dumps"], [2, 4, 1, "", "equivalent"], [2, 4, 1, "", "evalcorr"], [2, 4, 1, "", "evalcov"], [2, 4, 1, "", "evalcov_blocks"], [2, 4, 1, "", "filter"], [2, 4, 1, "", "fmt"], [2, 4, 1, "", "fmt_chi2"], [2, 4, 1, "", "fmt_errorbudget"], [2, 4, 1, "", "fmt_values"], [2, 4, 1, "", "gdump"], [2, 4, 1, "", "gdumps"], [2, 4, 1, "", "gload"], [2, 4, 1, "", "gloads"], [2, 4, 1, "", "gvar"], [2, 4, 1, "", "gvar_factory"], [2, 4, 1, "", "gvar_function"], [2, 4, 1, "", "is_primary"], [4, 0, 0, "-", "linalg"], [2, 4, 1, "", "load"], [2, 4, 1, "", "loads"], [2, 4, 1, "", "mean"], [4, 0, 0, "-", "ode"], [4, 0, 0, "-", "powerseries"], [2, 4, 1, "", "qqplot"], [2, 4, 1, "", "raniter"], [2, 4, 1, "", "ranseed"], [2, 4, 1, "", "reassemble"], [2, 4, 1, "", "rebuild"], [2, 4, 1, "", "regulate"], [2, 4, 1, "", "remove_gvars"], [2, 4, 1, "", "restore_gvar"], [4, 0, 0, "-", "root"], [2, 4, 1, "", "sample"], [2, 4, 1, "", "sdev"], [2, 4, 1, "", "svd"], [2, 4, 1, "", "switch_gvar"], [2, 4, 1, "", "tabulate"], [2, 4, 1, "", "uncorrelated"], [2, 4, 1, "", "var"]], "gvar.BufferDict": [[2, 2, 1, "", "add_distribution"], [2, 2, 1, "", "all_keys"], [2, 3, 1, "", "buf"], [2, 2, 1, "", "del_distribution"], [2, 3, 1, "", "dtype"], [2, 3, 1, "", "flat"], [2, 2, 1, "", "flatten"], [2, 2, 1, "", "has_dictkey"], [2, 2, 1, "", "has_distribution"], [2, 3, 1, "", "shape"], [2, 3, 1, "", "size"], [2, 2, 1, "", "slice"], [2, 2, 1, "", "slice_shape"], [2, 2, 1, "", "uniform"]], "gvar.GVar": [[2, 2, 1, "", "__format__"], [2, 2, 1, "", "__str__"], [2, 3, 1, "", "cov"], [2, 3, 1, "", "der"], [2, 2, 1, "", "deriv"], [2, 2, 1, "", "dotder"], [2, 2, 1, "", "fmt"], [2, 3, 1, "", "mean"], [2, 2, 1, "", "partialsdev"], [2, 2, 1, "", "partialvar"], [2, 3, 1, "", "sdev"], [2, 2, 1, "", "set"], [2, 3, 1, "", "var"]], "gvar.PDFHistogram": [[2, 2, 1, "", "analyze"], [2, 3, 1, "", "bins"], [2, 2, 1, "", "count"], [2, 3, 1, "", "g"], [2, 2, 1, "", "make_plot"], [2, 3, 1, "", "midpoints"], [2, 3, 1, "", "widths"]], "gvar.PDFStatistics": [[2, 3, 1, "", "ex_kurt"], [2, 3, 1, "", "gvar"], [2, 3, 1, "", "mean"], [2, 3, 1, "", "median"], [2, 3, 1, "", "minus"], [2, 3, 1, "", "plus"], [2, 3, 1, "", "sdev"], [2, 3, 1, "", "skew"]], "gvar.SVD": [[2, 3, 1, "", "D"], [2, 2, 1, "", "decomp"], [2, 3, 1, "", "delta"], [2, 3, 1, "", "eigen_range"], [2, 3, 1, "", "nmod"], [2, 3, 1, "", "val"], [2, 3, 1, "", "valmin"], [2, 3, 1, "", "valorig"], [2, 3, 1, "", "vec"]], "gvar.cspline": [[4, 1, 1, "", "CSpline"]], "gvar.dataset": [[3, 1, 1, "", "Dataset"], [3, 4, 1, "", "autocorr"], [3, 4, 1, "", "avg_data"], [3, 4, 1, "", "bin_data"], [3, 4, 1, "", "bootstrap_iter"], [3, 1, 1, "", "svd_diagnosis"]], "gvar.dataset.Dataset": [[3, 2, 1, "", "append"], [3, 2, 1, "", "arrayzip"], [3, 2, 1, "", "extend"], [3, 2, 1, "", "grep"], [3, 3, 1, "", "samplesize"], [3, 2, 1, "", "slice"], [3, 2, 1, "", "toarray"], [3, 2, 1, "", "trim"]], "gvar.dataset.svd_diagnosis": [[3, 3, 1, "", "avgdata"], [3, 3, 1, "", "bsval"], [3, 3, 1, "", "eps"], [3, 3, 1, "", "nmod"], [3, 2, 1, "", "plot_ratio"], [3, 3, 1, "", "svdcut"], [3, 3, 1, "", "val"]], "gvar.linalg": [[4, 2, 1, "", "det"], [4, 2, 1, "", "eigh"], [4, 2, 1, "", "eigvalsh"], [4, 2, 1, "", "inv"], [4, 2, 1, "", "lstsq"], [4, 2, 1, "", "slogdet"], [4, 2, 1, "", "solve"], [4, 2, 1, "", "svd"]], "gvar.ode": [[4, 1, 1, "", "DictIntegrator"], [4, 1, 1, "", "Integrator"], [4, 1, 1, "", "Solution"], [4, 4, 1, "", "integral"]], "gvar.pade": [[4, 1, 1, "", "Pade"], [4, 4, 1, "", "pade_gvar"], [4, 4, 1, "", "pade_svd"]], "gvar.powerseries": [[4, 1, 1, "", "PowerSeries"], [4, 4, 1, "", "multiseries"], [4, 4, 1, "", "multivar"]], "gvar.powerseries.PowerSeries": [[4, 3, 1, "", "coeff"], [4, 2, 1, "", "deriv"], [4, 2, 1, "", "integ"]], "gvar.root": [[4, 2, 1, "", "refine"], [4, 2, 1, "", "search"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:attribute", "4": "py:function"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "attribute", "Python attribute"], "4": ["py", "function", "Python function"]}, "titleterms": {"case": [0, 1], "studi": [0, 1], "numer": [0, 4], "analysi": [0, 4], "pendulum": 0, "clock": 0, "The": [0, 1], "problem": [0, 1], "dynam": 0, "find": [0, 4], "period": 0, "simul": [0, 6], "correl": 1, "svd": [1, 2], "cut": 1, "A": 1, "poor": 1, "solut": 1, "better": 1, "gvar": [2, 3, 4, 5, 6], "gaussian": [2, 6], "random": [2, 3, 6], "variabl": [2, 6], "introduct": [2, 3, 6], "function": [2, 3, 4, 6], "object": 2, "bufferdict": [2, 6], "vega": 2, "pdfintegr": 2, "other": 2, "pdf": 2, "relat": 2, "requir": 2, "dataset": 3, "data": 3, "set": 3, "class": 3, "modul": 4, "cubic": 4, "spline": 4, "linear": 4, "algebra": 4, "ordinari": 4, "differenti": 4, "equat": 4, "One": 4, "dimension": 4, "integr": 4, "pade": 4, "approxim": 4, "power": 4, "seri": 4, "us": [4, 6], "multivari": 4, "taylor": 4, "expans": 4, "python": 4, "root": 4, "document": 5, "indic": 5, "tabl": 5, "overview": 6, "tutori": 6, "creat": 6, "arithmet": 6, "error": 6, "budget": 6, "from": 6, "store": 6, "later": 6, "non": 6, "expect": 6, "valu": 6, "number": 6, "gener": 6, "limit": 6, "optim": 6, "format": 6, "print": 6, "displai": 6}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx": 56}})